# StyleSheetsAggregator

object StyleSheetsAggregator (source)

Aggregator of Compose CSS StyleSheet. Allowing to add StyleSheet in it and draw it in one place without requiring to add `Style(stylesheet)` on every compose function call

## Properties

stylesFlow
Link copied to clipboard
val stylesFlow : StateFlow< Set <ERROR CLASS: Symbol not found for CSSRulesHolder>>

## Functions

addStyleSheet
Link copied to clipboard
fun addStyleSheet (styleSheet: ERROR CLASS: Symbol not found for CSSRulesHolder)

Adding styleSheet into the Set of included stylesheets. If you called enableStyleSheetsAggregator, new styles will be enabled in the document

draw
Link copied to clipboard
fun draw ()
removeStyleSheet
Link copied to clipboard
fun removeStyleSheet (styleSheet: ERROR CLASS: Symbol not found for CSSRulesHolder)

Removed styleSheet into the Set of included stylesheets